function isValidURL(url){
    var RegExp = /^(([\w]+:)?\/\/)?(([\d\w]|%[a-fA-f\d]{2,2})+(:([\d\w]|%[a-fA-f\d]{2,2})+)?@)?([\d\w][-\d\w]{0,253}[\d\w]\.)+[\w]{2,4}(:[\d]+)?(\/([-+_~.\d\w]|%[a-fA-f\d]{2,2})*)*(\?(&?([-+_~.\d\w]|%[a-fA-f\d]{2,2})=?)*)?(#([-+_~.\d\w]|%[a-fA-f\d]{2,2})*)?$/;
    if(RegExp.test(url)){
        return true;
    }else{
        return false;
    }
}

function isValidEmail(email){
    var RegExp = /^((([a-z]|[0-9]|!|#|$|%|&|'|\*|\+|\-|\/|=|\?|\^|_|`|\{|\||\}|~)+(\.([a-z]|[0-9]|!|#|$|%|&|'|\*|\+|\-|\/|=|\?|\^|_|`|\{|\||\}|~)+)*)@((((([a-z]|[0-9])([a-z]|[0-9]|\-){0,61}([a-z]|[0-9])\.))*([a-z]|[0-9])([a-z]|[0-9]|\-){0,61}([a-z]|[0-9])\.)[\w]{2,4}|(((([0-9]){1,3}\.){3}([0-9]){1,3}))|(\[((([0-9]){1,3}\.){3}([0-9]){1,3})\])))$/
    if(RegExp.test(email)){
        return true;
    }else{
        return false;
    }
}

function fbtraf_jack_sel_change()
{
	var container = document.getElementById('fbtraf_jack_sample');
	var fblike_layout = document.getElementById('fblike_layout');
	var fblike_showfaces = document.getElementById('fblike_showfaces');
	var fblike_action = document.getElementById('fblike_action');
	var fblike_font = document.getElementById('fblike_font');
	var fblike_colorscheme = document.getElementById('fblike_colorscheme');
	var content = '<fb:like href="http://www.google.com/" ';
	
	if(fblike_showfaces.value=='yes')
	{
		content = content + ' show_faces = "true" ';
	}
	else
	{
		content = content + ' show_faces = "false" ';
	}
	content = content + ' layout = "'+ fblike_layout.value + '" ';
	content = content + ' action = "'+ fblike_action.value + '" ';
	content = content + ' font = "'+ fblike_font.value + '" ';
	content = content + ' colorscheme = "'+ fblike_colorscheme.value + '" ';
	content = content + '></fb:like>';
	//alert(content);
	container.innerHTML = content;
	FB.XFBML.parse();
	return false;

}
function fbtraf_jack_sel_change_language()
{
	var url = document.getElementById('url');
	var lang = document.getElementById('popup_lang');
	
	if(!isValidURL(url.value))
	{
		alert("Please enter correct URL");
		url.focus();
		return false;
	}
	else
	{
		document.fbtraf_jack_option_form.fbtraf_jack_save_submit_hidden.value=1;
		document.fbtraf_jack_option_form.submit();
	}
}
	function fbtraf_jack_admin_check()
	{
		var url = document.getElementById('url');
		if(!isValidURL(url.value))
		{
			alert("Please enter correct URL");
			url.focus();
			return false;
		}
		return true;
	}