
<script type="text/javascript">
<!--

//-->
</script>
<div class="wrap">
	<div id="icon-options-general" class="icon32"><br/>
	</div>
	<h2><?php _e('FB Traffic Jacker Settings','facebook_traffic_jacker_settings'); ?></h2>
	<form action="" method="post" id='fbtraf_jack_option_form' name='fbtraf_jack_option_form' onsubmit="return fbtraf_jack_admin_check();">
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><h3><?php _e('Standard Settings','facebook_traffic_jacker_settings'); ?></h3></th>
				<td>
					<p class="error"><?php if(strlen($PROMPT)>0) { _e($PROMPT); } ?></p>
				</td>
			</tr>
			<!-- <tr valign="top">
				<td colspan="2">
					<p><i><b><?php _e('[Note:  FBTrafficJacker does not function if you are logged in as Admin.  Complete your set-up and test by logging out of WordPress.]','facebook_traffic_jacker_settings'); ?></b></i></p>
				</td>
			</tr> -->
			
			<tr valign="top">
				<th scope="row"><?php _e('Mode','facebook_traffic_jacker_settings'); ?></th>
				<td>
					<select name="popup_mode">
						<option value="disabled" <?php if($options['popup_mode'] == 'disabled') { echo 'selected'; } ?>>Disabled</option>
						<option value="enabled" <?php if($options['popup_mode'] == 'enabled') { echo 'selected'; } ?>>Enabled</option>
					</select>
					<br /><span class="description"><?php _e("Display Pop-Up (Default Disabled)",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Title','facebook_traffic_jacker_settings'); ?></th>
				<td>
					<input type="text" id="title" name="title" value="<?php echo esc_attr(stripslashes($options['title'])); ?>" class="regular-text"/>
					<br /><span class="description"><?php _e("Pop-Up Title Bar Text. (You can also use HTML)",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Message','facebook_traffic_jacker_settings'); ?></th>
				<td>
					<textarea rows="7" cols="40" class="regular-text" id="message" name="message"><?php echo esc_attr(stripslashes($options['message'])); ?></textarea>
					<!-- <input type="text" id="message" name="message" value="<?php echo esc_attr(stripslashes($options['message'])); ?>" class="regular-text"/> -->
					<br /><span class="description"><?php _e("Give Message to display in the popup. (You can also use HTML)",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('URL to Like*','facebook_traffic_jacker_settings'); ?></th>
				<td>
					<input type="text" id="url" name="url" value="<?php echo esc_attr($options['url']); ?>" class="regular-text"/>
					<br /><span class="description"><?php _e("The URL To Be Liked/Recommended",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><h3><?php _e('Popup Settings','facebook_traffic_jacker_settings'); ?></h3></th>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Popup Language','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='popup_lang' name='popup_lang' onchange="fbtraf_jack_sel_change_language();">
				<?php
				foreach ($ARR_LANG as $key=>$value)
				{
					if($options['popup_lang']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("Choose Facebook  Like Button Language",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Overlay color','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="text" id="popup_overlay" name="popup_overlay" value="<?php echo esc_attr($options['popup_overlay']); ?>" class="regular-text"/>
				<br /><span class="description"><?php _e("Give Color for the page overlay",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>			
			<tr valign="top">
				<th scope="row"><?php _e('Background Color','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="text" id="popup_background" name="popup_background" value="<?php echo esc_attr($options['popup_background']); ?>" class="regular-text"/>
				<br /><span class="description"><?php _e("Give Background Color for popup",'facebook_traffic_jacker_settings'); ?></span>
				</td>
				</td>
			</tr>
			<!-- <tr valign="top">
				<th scope="row"><?php _e('Vertical Position','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="text" id="popup_vertical" name="popup_vertical" value="<?php echo esc_attr($options['popup_vertical']); ?>" class="regular-text"/>
				<br /><span class="description"><?php _e("Give Pop Up vertical position from the top of the page,",'facebook_traffic_jacker_settings'); ?></span>
				</td>
				</td>
			</tr> -->
			<tr valign="top">
				<th scope="row"><h3><?php _e('Delay Settings','facebook_traffic_jacker_settings'); ?></h3></th>
				<td>
				&nbsp;
				</td>
				</td>
			</tr>	
			</tr>
			
			<tr valign="top">
				<th scope="row"><?php _e('Use Timer','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="checkbox" id="popup_use_timer" name="popup_use_timer" value="on" <?php if($options['popup_use_timer'] == 'on') { echo 'checked'; } ?>/>&nbsp;&nbsp;<span class="description"><?php _e('Should Pop Up auto close after time below','facebook_traffic_jacker_settings'); ?></span>
				<br /><!-- <span class="description"><?php _e("Should Pop Up display a Close Button",'facebook_traffic_jacker_settings'); ?></span> -->
				</td>
				</td>
			</tr>	
			
			<tr valign="top">
				<th scope="row"><?php _e('Popup Auto Close in Seconds','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="text" id="popup_autoclose" name="popup_autoclose" class="regular-text" value="<?php echo esc_attr($options['popup_autoclose']); ?>"/>
				<br /><span class="description"><?php _e("Time in seconds when the popup will auto close.",'facebook_traffic_jacker_settings'); ?></span>
				</td>
				</td>
			</tr>	
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Close Button','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<input type="checkbox" id="popup_close" name="popup_close" value="on" <?php if($options['popup_close'] == 'on') { echo 'checked'; } ?>/>&nbsp;&nbsp;<span class="description"><?php _e('Should Pop Up display a Close Button','facebook_traffic_jacker_settings'); ?></span>
				<br /><!-- <span class="description"><?php _e("Should Pop Up display a Close Button",'facebook_traffic_jacker_settings'); ?></span> -->
				</td>
				</td>
			</tr>				
			<!-- <tr valign="top">
				<th scope="row"><?php _e('Use Default Style','facebook_traffic_jacker_settings'); ?><br>
				<span class="description"><?php _e("Uncheck this box to disable default style.",'facebook_traffic_jacker_settings'); ?></span></th>
				<td>
				<input type="checkbox" id="popup_default_style" name="popup_default_style" value="on" class="regular-text" <?php if($options['default_style'] == 'on') { echo 'checked'; } ?>/>	
				</td>
			</tr> -->
			<tr valign="top">
				<th scope="row"><?php _e('Delay','facebook_traffic_jacker_settings'); ?><br>
				</th>
				<td>
				<input type="text" id="popup_delay" name="popup_delay" value="<?php echo esc_attr($options['popup_delay']); ?>" class="regular-text" />
				<br /><span class="description"><?php _e("Enter the number of seconds you would like to pass before opening the popup.",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>	
			<tr valign="top">
				<th scope="row"><?php _e('Set Cookie','facebook_traffic_jacker_settings'); ?><br>
				
				<td>
					<input type="checkbox" id="popup_cookie" name="popup_cookie" value="on" <?php if($options['popup_cookie'] == 'on') { echo 'checked'; } ?>/>
					&nbsp;&nbsp;<span class="description"><?php _e("Check this box to use cookies to hide from repeat visitors",'facebook_traffic_jacker_settings'); ?></span></th>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Cookie Expires','facebook_traffic_jacker_settings'); ?><br>
				</th>
				<td>
				<input type="text" id="popup_expires" name="popup_expires" value="<?php echo esc_attr($options['popup_expires']); ?>" class="regular-text" />	

				<br />
				<span class="description"><?php _e("Set length of time before the cookie expires in seconds. For instance, one hour would be 3600 or 60 * 60. <br /> Please note that once 'Like' is used, the popup will stop showing.",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<!--  FB Link Settings-->
			<tr valign="top">
				<th scope="row" style="width:30%"><h3><?php _e('Facebook Like Button Settings','facebook_traffic_jacker_settings'); ?></h3></th>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Preview','facebook_traffic_jacker_settings'); ?></th>
				<td>
					<div id="fbtraf_jack_sample"><fb:like href="http://www.google.com/"></fb:like>
					</div>
					<br /><span class="description"><?php _e("Example Display based on options below (Google.com)",'facebook_traffic_jacker_settings'); ?></span>

				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Layout Style','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='fblike_layout' name='fblike_layout' onchange="fbtraf_jack_sel_change();">
				<?php
				foreach ($ARR_FBLIKE_LAYOUT as $key=>$value)
				{
					if($options['fblike_layout']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("Choose Facebook Like Button Layout",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Show Faces','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='fblike_showfaces' name='fblike_showfaces'  onchange="fbtraf_jack_sel_change();">
				<?php
				foreach ($ARR_FBLIKE_SHOWFACES as $key=>$value)
				{
					if($options['fblike_showfaces']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("Display Face Pictures with Like button",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>			
			<tr valign="top">
				<th scope="row"><?php _e('Action Type','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='fblike_action' name='fblike_action'  onchange="fbtraf_jack_sel_change();">
				<?php
				foreach ($ARR_FBLIKE_ACTION as $key=>$value)
				{
					if($options['fblike_action']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("Like button Action",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Font Type','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='fblike_font' name='fblike_font'  onchange="fbtraf_jack_sel_change();">
				<?php
				foreach ($ARR_FBLIKE_FONTS as $key=>$value)
				{
					if($options['fblike_font']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("FaceBook Supported Fonts",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Color Scheme Type','facebook_traffic_jacker_settings'); ?></th>
				<td>
				<select id='fblike_colorscheme' name='fblike_colorscheme'  onchange="fbtraf_jack_sel_change();">
				<?php
				foreach ($ARR_FBLIKE_COLORSCHEME as $key=>$value)
				{
					if($options['fblike_colorscheme']==$key)
					{
						_e("<option value=\"$key\" selected=\"selected\">".ucwords($value)."</option>\n");
					}
					else
					{
						_e("<option value=\"$key\">".ucwords($value)."</option>\n");
					}
				}
				?>
				
				</select>
				<br /><span class="description"><?php _e("Facebook Supported Color Schemes",'facebook_traffic_jacker_settings'); ?></span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">
					<input type="hidden" id="fbtraf_jack_save_submit_hidden" name="fbtraf_jack_save_submit_hidden" value="0" />
					<input type="submit" value="<?php _e('Save PopUp','facebook_traffic_jacker_settings'); ?>" name="fbtraf_jack_save_submit" class="button-primary" />
				</th>
				<td></td>
			</tr>
			<?php wp_nonce_field('fbtraf_jack_nonce', 'fbtraf_jack_save_nonce'); ?>
		</table>
		</form>
	</div>
<script type="text/javascript">
<!--
	fbtraf_jack_sel_change();
//-->
</script>